Bug 17246 - R CMD build handles .Rbuildignore inconsistently for vignettes
Summary: R CMD build handles .Rbuildignore inconsistently for vignettes
Status: CLOSED FIXED
Alias: None
Product: R
Classification: Unclassified
Component: Add-ons (show other bugs)
Version: R 3.2.3
Hardware: Other Other
: P5 enhancement
Assignee: R-core
URL:
Depends on:
Blocks:
 
Reported: 2017-03-26 14:36 UTC by Duncan Murdoch
Modified: 2017-04-26 19:14 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Duncan Murdoch 2017-03-26 14:36:16 UTC
As reported in <https://github.com/yihui/knitr/issues/1383#issuecomment-289256967> with a sample package in <https://github.com/pdbailey0/knitIgnore>, if a vignette in the vignettes directory is listed in .Rbuildignore, R CMD build will not include it in the tarball, but will include it in the vignette database vignettes.rds, leading to a check warning.  Thanks to Paul Bailey and Yihui Xie
for pointing this out.

I will fix it for R 3.4.0.
Comment 1 Duncan Murdoch 2017-03-26 16:12:54 UTC
Fixed in R-devel and R-3.4.0 alpha.
Comment 2 Duncan Murdoch 2017-04-25 21:06:32 UTC
That fix (which made it into 3.4.0) wasn't quite right; will try again in R-patched.
Comment 3 Duncan Murdoch 2017-04-26 19:14:00 UTC
Should now be fixed in R-devel and R-patched (as of r72629).